SDL_roundf(3)

NAME
SDL_roundf - Round x to the nearest integer.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

float SDL_roundf(float x);

DESCRIPTION
Rounds x to the nearest integer. Values halfway between integers will be rounded away from zero.

Domain: -INF <= x <= INF

Range: -INF <= y <= INF, y integer

This function operates on single-precision floating point values, use SDL_round for double-precision floats. To get the result as an integer type, use SDL_lroundf.

FUNCTION PARAMETERS

x   floating point value.

RETURN VALUE
Returns the nearest integer to x.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_round(3), SDL_lroundf(3), SDL_floorf(3), SDL_ceilf(3), SDL_truncf(3)